#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA676_F31E_F31J_X31J_P31J_AU1E_AU2E_AU3E
void F7065_ClearChampionPortraitPointersBeforeSavingGame(GAME* P3586_ps_)
{
        unsigned int16_t L3975_ui_PortaitIndex;
        char L6051_ac_Unreferenced[4];


        if ((P3586_ps_->ChampionFormat == C2_CHAMPION_FORMAT_PORTRAITS_EXCLUDED) && (P3586_ps_->PortraitCount != 0)) {
                for (L3975_ui_PortaitIndex = 0; L3975_ui_PortaitIndex < P3586_ps_->PortraitCount; L3975_ui_PortaitIndex++) {
                        F7068_SetChampionInfo(P3586_ps_, L3975_ui_PortaitIndex, C31_CHAMPION_INFO_PORTRAIT, 0L); /* F31x: 0L cannot be replaced by NULL (which is of type void*, function expects a long) */
                }
        }
}

void F7066_LoadPortraits(GAME* P3587_ps_)
{
        unsigned int16_t L3977_ui_PortraitIndex;
        long L3976_l_;


        if ((P3587_ps_->ChampionFormat == C2_CHAMPION_FORMAT_PORTRAITS_EXCLUDED) && (P3587_ps_->PortraitCount != 0)) {
                L3976_l_ = (long)P3587_ps_->Portraits;
                for (L3977_ui_PortraitIndex = 0; L3977_ui_PortraitIndex < P3587_ps_->PortraitCount; L3977_ui_PortraitIndex++) {
                        F7068_SetChampionInfo(P3587_ps_, L3977_ui_PortraitIndex, C31_CHAMPION_INFO_PORTRAIT, L3976_l_);
                        L3976_l_ += P3587_ps_->PortraitByteCount;
                }
        }
}
#endif
